# Class CIM_DatabaseAdministrator
extends CIM_Dependency

The DatabaseAdministrator association identifies a UserEntity as a database administrator of a CommonDatabase. The current version of CIM includes a UserContact class that is concrete and extends from UserEntity. UserContact contains the information that is needed to contact a database administrator. The DatabaseAdministrator association should be implemented through the UserContact class in favor of creating a vendor-specific concrete class to define database administrator contact information for the database administrator.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Dependency
|
+--CIM_DatabaseAdministrator

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true

Description

string

The DatabaseAdministrator association identifies a UserEntity as a database administrator of a CommonDatabase. The current version of CIM includes a UserContact class that is concrete and extends from UserEntity. UserContact contains the information that is needed to contact a database administrator. The DatabaseAdministrator association should be implemented through the UserContact class in favor of creating a vendor-specific concrete class to define database administrator contact information for the database administrator.

UMLPackagePath | string | CIM::Database::System
Version | string | 2.7.0

## Class Properties

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
Antecedent | CIM_DatabaseAdministrator | CIM_CommonDatabase
Dependent | CIM_DatabaseAdministrator | CIM_UserEntity

## Class Methods